complie plumed 2 with gromacs 4.6 on ubuntu 14.04

Should be simple right? Just you wait... Because I do it for the 5th time now, this will deserve a blog entry, if anything for my own sanity. 


sudo apt-get install libblas-dev liblapack-dev
tar xvf plumed-2.1.1.tgz
cd plumed-2.1.1
export PLUMED_PREFIX=~/Programs/plumed/2.1.1/
./configure.sh  << EOF
1
EOF
make
make install

 
[Edit]For OpenMPI plumed installation do the following

sudo apt-get install libcr-dev mpich2 mpich2-doc
./configure.sh  << EOF
3
EOF
sed -i  s#'-lblas'#'-lblas -L/usr/lib/openmpi/lib'#g Makefile.conf
sed -i  s#'PLUMED_INCLUDE)'#'PLUMED_INCLUDE)  -I/usr/lib/openmpi/include'#g Makefile.conf

The default ./configure command doesn't do the job for me. So let's ignore that for now.

cmake .. -DCMAKE_INSTALL_PREFIX=/path/ -DGMX_MPI=OFF -DGMX_GPU=OFF
make 
make install 

And then if all goes well

source /path/
mdrun -h 2>&1 >/dev/null | grep plumed
-plumed  plumed.dat  Input, Opt.  Generic data fil
e


Sadly, this is just a serial version of plumed but that should be enough for some local checks.

Comments

Popular posts from this blog

React.js – edit and delete comments in CommentBox

ROCS-like shape overlap in rdkit

Example slurm cluster on your laptop (multiple VMs via vagrant)